Subject: Re: [PATCH] Lose perl dependency. (fwd)

From: Simon 'corecode' Schubert <[email-masked]>
Date: Sat, 20 Jan 2007 05:02:34 +0100

Junio C Hamano wrote:
> I think there are two very valid ways.  You determine what you
> would spit out as if there is no --reverse, and then reverse the
> result, or you do not limit with them to get everthing, reverse
> the result and do the counting limit on that reversed list.

We were originally coming from replacing a perl -e 'print reverse <>' in git-rebase.  So I'd say the former.  

> If you do the latter, you would be able to get the first four
> commits in the chronological order.  I do not think that is
> usually of much practical value (although people new to git
> always seem to ask "how do I get to the root commit" at least
> once), but there may be some valid uses for that kind of
> behaviour.

But I doubt that "--reverse" would suggest that.

   Commit Ordering
       By default, the commits are shown in reverse chronological order.

so --reverse would mean no-reverse, i.e. forward.  well, acceptable :)  So if --reverse is an option to influence the output after the commit ordering, it is clearly the former.

I don't think the latter makes much sense, anyways.

cheers
  simon

-- 
Serve - BSD     +++  RENT this banner advert  +++    ASCII Ribbon   /"\
Work - Mac      +++  space for low €€€ NOW!1  +++      Campaign     \ /
Party Enjoy Relax   |   http://dragonflybsd.org      Against  HTML   \
Dude 2c 2 the max   !   http://golden-apple.biz       Mail + News   / \